import React from 'react';
import Link from '@mui/material/Link';
import i18n from 'ui-i18n';
import { useStyles } from './styles';
export var ShowDependentLink = function (_a) {
    var showMore = _a.showMore, onClick = _a.onClick;
    var styles = useStyles();
    return (React.createElement(Link, { className: styles.root, component: "button", variant: "caption", underline: "none", onClick: onClick },
        React.createElement("span", null, showMore ? i18n.text('View dependent crosswalks') : i18n.text('Hide dependent crosswalks'))));
};
